Bug 858085 - Review Request: mingw-qt5-qtxmlpatterns - Qt5 for Windows - QtXmlPatterns component
Review Request: mingw-qt5-qtxmlpatterns - Qt5 for Windows - QtXmlPatterns com...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On: 858058
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 18:53 EDT by Erik van Pienbroek
Modified: 2015-04-12 14:10 EDT (History)
3 users (show)

See Also:
Fixed In Version: mingw-qt5-qtwebsockets-5.4.1-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-31 17:48:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kalevlember: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Erik van Pienbroek 2012-09-17 18:53:44 EDT
Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtxmlpatterns/mingw-qt5-qtxmlpatterns.spec
SRPM URL: http://ftd4linux.nl/contrib/mingw-qt5-qtxmlpatterns-5.0.0-0.1.beta1.fc17.src.rpm
Fedora Account System Username: epienbro
Description: 
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.
Comment 1 Erik van Pienbroek 2012-11-12 20:16:15 EST
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtxmlpatterns/mingw-qt5-qtxmlpatterns.spec
Updated SRPM URL: http://build1.openftd.org/fedora-cross/src/mingw-qt5-qtxmlpatterns-5.0.0-0.2.beta1.git20121112.69b7a0bb.fc19.src.rpm

* Mon Nov 12 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.2.beta1.git20121112.69b7a0bb
- Update to 20121112 snapshot (rev 69b7a0bb)
- Rebuild against latest mingw-qt5-qtbase
- Dropped pkg-config rename hack as it's unneeded now
Comment 2 Erik van Pienbroek 2013-02-09 07:51:56 EST
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtxmlpatterns/mingw-qt5-qtxmlpatterns.spec
Updated SRPM URL: http://koji.vanpienbroek.nl/kojifiles/packages/mingw-qt5-qtxmlpatterns/5.0.1/1.fc19/src/mingw-qt5-qtxmlpatterns-5.0.1-1.fc19.src.rpm
Koji scratch build: http://koji.vanpienbroek.nl/koji/buildinfo?buildID=123

* Sat Feb 09 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.1-1
- Update to 5.0.1

* Fri Jan 11 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-1
- Update to Qt 5.0.0 Final
Comment 6 Erik van Pienbroek 2014-01-10 14:48:51 EST
Updated Spec URL: http://svn.nntpgrab.nl/svn/fedora_cross/mingw-qt5-qtxmlpatterns/mingw-qt5-qtxmlpatterns.spec
Updated SRPM URL: http://koji.vanpienbroek.nl/kojifiles/packages/mingw-qt5-qtxmlpatterns/5.2.0/1.fc21/src/mingw-qt5-qtxmlpatterns-5.2.0-1.fc21.src.rpm
Koji scratch build: http://koji.vanpienbroek.nl/koji/buildinfo?buildID=185

* Sun Jan 05 2014 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.2.0-1
- Update to 5.2.0
- Dropped manual rename of import libraries
- Added license files
Comment 9 Kalev Lember 2015-03-25 19:02:31 EDT
Fedora review mingw-qt5-qtxmlpatterns-5.4.1-1.fc23.src.rpm 2015-03-25

$ rpmlint mingw-qt5-qtxmlpatterns-5.4.1-1.fc22.src.rpm \
          mingw32-qt5-qtxmlpatterns-5.4.1-1.fc22.noarch.rpm \
          mingw64-qt5-qtxmlpatterns-5.4.1-1.fc22.noarch.rpm \
          mingw32-qt5-qtxmlpatterns-debuginfo-5.4.1-1.fc22.noarch.rpm \
          mingw64-qt5-qtxmlpatterns-debuginfo-5.4.1-1.fc22.noarch.rpm
mingw-qt5-qtxmlpatterns.src:29: W: macro-in-comment %{qt_module}
mingw-qt5-qtxmlpatterns.src:29: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qtxmlpatterns.src:29: W: macro-in-comment %{qt_module}
mingw-qt5-qtxmlpatterns.src:29: W: macro-in-comment %{snapshot_rev}
mingw32-qt5-qtxmlpatterns-debuginfo.noarch: E: debuginfo-without-sources
mingw64-qt5-qtxmlpatterns-debuginfo.noarch: E: debuginfo-without-sources
5 packages and 0 specfiles checked; 2 errors, 4 warnings.

+ OK
! needs attention

+ rpmlint warnings are harmless and can be ignored
+ The package is named according to Fedora MinGW packaging guidelines
+ The spec file name matches the base package name.
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The stated license for the mingw package is the same as the one for the
  corresponding native Fedora package
! The license text is included in %license

  Can you use %license instead of %doc for the license files, please?

+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match the sources in the srpm
  ec2970e9e9c38f88be74f18101937c28  qtxmlpatterns-opensource-src-5.4.1.tar.xz
  ec2970e9e9c38f88be74f18101937c28  Download/qtxmlpatterns-opensource-src-5.4.1.tar.xz
+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
n/a locale handling
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all the directories it creates
+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect the runtime of application
n/a Static libraries should be in -static
n/a Development files should be in -devel
    Not applicable to MinGW packages.
n/a -devel must require the fully versioned base
+ Packages should not contain libtool .la files
n/a Proper .desktop file handling
+ Doesn't own files or directories already owned by other packages
+ Filenames are valid UTF-8

Looks good to me, just a minor problem with the %license vs %doc macros -- the guidelines were recently updated to require the %license macro for license files. Please fix this before importing.

APPROVED
Comment 10 Erik van Pienbroek 2015-03-26 03:53:02 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: mingw-qt5-qtxmlpatterns
Short Description: Qt5 for Windows - QtXmlPatterns component
Upstream URL: http://www.qt.io/
Owners: epienbro
Branches: f20 f21 f22 epel7
InitialCC:
Comment 11 Gwyn Ciesla 2015-03-26 10:30:31 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2015-03-26 13:30:26 EDT
mingw-qt5-qtwebsockets-5.4.1-1.fc22,mingw-qt5-qtxmlpatterns-5.4.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mingw-qt5-qtwebsockets-5.4.1-1.fc22,mingw-qt5-qtxmlpatterns-5.4.1-1.fc22
Comment 13 Fedora Update System 2015-03-26 13:32:49 EDT
mingw-qt5-qtwebsockets-5.4.1-1.fc21,mingw-qt5-qtxmlpatterns-5.4.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mingw-qt5-qtwebsockets-5.4.1-1.fc21,mingw-qt5-qtxmlpatterns-5.4.1-1.fc21
Comment 14 Fedora Update System 2015-03-26 13:33:15 EDT
mingw-qt5-qtwebsockets-5.4.1-1.fc20,mingw-qt5-qtxmlpatterns-5.4.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mingw-qt5-qtwebsockets-5.4.1-1.fc20,mingw-qt5-qtxmlpatterns-5.4.1-1.fc20
Comment 15 Fedora Update System 2015-03-26 13:33:46 EDT
mingw-qt5-qtwebsockets-5.4.1-1.el7,mingw-qt5-qtxmlpatterns-5.4.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mingw-qt5-qtwebsockets-5.4.1-1.el7,mingw-qt5-qtxmlpatterns-5.4.1-1.el7
Comment 16 Fedora Update System 2015-03-28 14:38:05 EDT
mingw-qt5-qtwebsockets-5.4.1-1.el7, mingw-qt5-qtxmlpatterns-5.4.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository.
Comment 17 Fedora Update System 2015-03-31 17:48:47 EDT
mingw-qt5-qtwebsockets-5.4.1-1.fc22, mingw-qt5-qtxmlpatterns-5.4.1-1.fc22 has been pushed to the Fedora 22 stable repository.
Comment 18 Fedora Update System 2015-04-06 04:32:56 EDT
mingw-qt5-qtwebsockets-5.4.1-1.fc21, mingw-qt5-qtxmlpatterns-5.4.1-1.fc21 has been pushed to the Fedora 21 stable repository.
Comment 19 Fedora Update System 2015-04-06 04:35:10 EDT
mingw-qt5-qtwebsockets-5.4.1-1.fc20, mingw-qt5-qtxmlpatterns-5.4.1-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 20 Fedora Update System 2015-04-12 14:10:59 EDT
mingw-qt5-qtwebsockets-5.4.1-1.el7, mingw-qt5-qtxmlpatterns-5.4.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.